Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1519527

Summary: VPN plugin doesn't ask for password/secret with gnome-shell (since NetworkManager-openvpn-gnome-1.8.0-4.fc28, due to dropped libnm-glib support)
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: bugzilla, choeger, dcbw, dhill, fmuellner, gnome-sig, gwync, lkundrak, oholy, otaylor, pavlix, steve, tcallawa, thaller
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kevin Fenzi 2017-11-30 20:28:02 UTC
With NetworkManager-openvpn-gnome installed if I select a openvpn vpn from the gnome menu nothing happens and I see in logs: 

Nov 30 12:09:03 taim.scrye.com NetworkManager[1136]: <info>  [1512072543.6525] audit: op="connection-activate" uuid="c9509a40-caed-46c2-a3ef-706b5a98265f" name="Phoenix (PHX2)" pid=2007 uid=1000 result="success"
Nov 30 12:09:03 taim.scrye.com NetworkManager[1136]: <info>  [1512072543.6708] vpn-connection[0x55b4a033f2f0,c9509a40-caed-46c2-a3ef-706b5a98265f,"Phoenix (PHX2)",0]: Started the VPN service, PID 2936
Nov 30 12:09:03 taim.scrye.com NetworkManager[1136]: <info>  [1512072543.6887] vpn-connection[0x55b4a033f2f0,c9509a40-caed-46c2-a3ef-706b5a98265f,"Phoenix (PHX2)",0]: Saw the service appear; activating connection
Nov 30 12:09:03 taim.scrye.com gnome-shell[2007]: Invalid VPN service type (cannot find authentication binary)
Nov 30 12:09:03 taim.scrye.com gnome-shell[2007]: Invalid VPN service type (cannot find authentication binary)
Nov 30 12:09:03 taim.scrye.com NetworkManager[1136]: <error> [1512072543.7963] vpn-connection[0x55b4a033f2f0,c9509a40-caed-46c2-a3ef-706b5a98265f,"Phoenix (PHX2)",0]: Failed to request VPN secrets #3: No agents were available for this request.
Nov 30 12:09:03 taim.scrye.com NetworkManager[1136]: <info>  [1512072543.8203] vpn-connection[0x55b4a033f2f0,c9509a40-caed-46c2-a3ef-706b5a98265f,"Phoenix (PHX2)",0]: VPN service disappeared

Downgrading to 1.8.0-3.fc28 works fine again. (after a restart of gnome-shell)

Comment 1 Thomas Haller 2017-12-01 08:05:28 UTC
it's probably because 1.8.0-4 dropped support for the legacy component of the VPN UI plugin, that is: /usr/lib64/NetworkManager/libnm-openvpn-properties.so

But it also dropped /etc/NetworkManager/VPN/nm-openvpn-service.name, because that file too is deprecated for /lib/NetworkManager/VPN/nm-openvpn-service.name (both files are identical, but since the file is not user-configuration, we moved it away from /etc).

Applications are supposed to read the .name file from 3 locations, in the order  - $NM_VPN_PLUGIN_DIR environment variable
- /lib
- /etc (for backward compatibility).

They best use libnm's API, like nm_vpn_plugin_info_list_load() which handles this correctly (See example [1]). Note that this API is only in libnm.so, since gnome-shell still uses libnm-glib.so, it cannot actually use this (yet).

Anyway, gnome-shell doesn't do that yet, and still uses the legacy path hard-coded. Hence, it cannot find about the .name file on 1.8.0-4.


For now, I suggest to revert the update.



[1] https://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/examples/python/gi/vpn-import.py?id=6f5f1b2d29f4458695bffae750fc0f6aab3bfa10#n38

Comment 2 Lubomir Rintel 2017-12-01 19:28:18 UTC
My fault, sorry. All the VPN plugins are affected, I believe it's best to untag the builds. Asked rel-eng for assistance:

https://pagure.io/releng/issue/7191

The relevant gnome-shell patch is in review and I expect it to be included in Fedora 28 eventually:

https://bugzilla.gnome.org/show_bug.cgi?id=789811

Comment 3 Kevin Fenzi 2017-12-02 19:22:02 UTC
Unfortunately, they have gone out in rawhide composes now, so we can't simply untag them. ;( 

Could we perhaps carry the gnome-shell patch in rawhide until it's accepted upstream? If it's not ready for that, I suppose the only option is to push newer ones with this change revered. ;(

Comment 4 Thomas Haller 2017-12-04 14:34:37 UTC
*** Bug 1520469 has been marked as a duplicate of this bug. ***

Comment 5 David Hill 2017-12-04 14:40:46 UTC
I can confirm downgrading solves this problem as expected...

Comment 6 Lubomir Rintel 2017-12-04 14:51:17 UTC
Reassigning to GNOME Shell.

GNOME Shell maintainers: The wisest thing to do seems to be to switch to libnm. If you're not going to do that, please reassign back.

Comment 7 Fedora End Of Life 2018-02-20 15:25:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.